%define build_debug 1
%{?_with_debug: %{expand: %%global build_debug 1}}

# Plugin versions
%define src_ver 2.0.0
%define pack_ver 2.0.0

Name: qca2-plugins
Version: 2.0.0
Release: %mkrel 1
License: LGPL
Summary: Straightforward and cross-platform crypto API for Qt
Group: System/Libraries
URL: http://delta.affinix.com/qca
Source0: http://delta.affinix.com/download/qca/%{version}/beta7/qca-gnupg-%{src_ver}.tar.bz2
Source1: http://delta.affinix.com/download/qca/%{version}/beta7/qca-ossl-%{src_ver}.tar.bz2
Source2: http://delta.affinix.com/download/qca/%{version}/beta7/qca-pkcs11-%{src_ver}.tar.bz2
Source3: http://delta.affinix.com/download/qca/%{version}/beta7/qca-cyrus-sasl-%{src_ver}.tar.bz2
Source4: http://delta.affinix.com/download/qca/%{version}/beta7/qca-logger-%{src_ver}.tar.bz2
Patch0: qca-ossl-deprecated.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel >= 2:4.3
BuildRequires: qca2-devel >= 2.0

%description
The QCA plugins provides crypto modules for qca2

#------------------------------------------------------------------------------

%package -n qca2-plugin-gnupg-%{_lib}
Summary: GnuPG plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}

%description -n qca2-plugin-gnupg-%{_lib}
This is a plugin to provide GnuPG capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-gnupg-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-gnupg.*

#------------------------------------------------------------------------------

%package -n qca2-plugin-openssl-%{_lib}
Summary:       OpenSSL plugin for QCA
Group:         Development/KDE and Qt
Version: %{pack_ver}
BuildRequires: openssl-devel

%description -n qca2-plugin-openssl-%{_lib}
This is a plugin to provide OpenSSL capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-openssl-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-ossl.*

#------------------------------------------------------------------------------

%package -n qca2-plugin-pkcs11-%{_lib}
Summary: PKCS11 plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}
BuildRequires: openssl-devel
BuildRequires: pkcs11-helper-devel

%description -n qca2-plugin-pkcs11-%{_lib}
This is a plugin to provide PKCS11 capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-pkcs11-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-pkcs11.*

#------------------------------------------------------------------------------

%package -n qca2-plugin-cyrus-sasl-%{_lib}
Summary: cyrus-sasl plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}
BuildRequires: libsasl2-devel

%description -n qca2-plugin-cyrus-sasl-%{_lib}
This is a plugin to provide cyrus-sasl capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-cyrus-sasl-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-cyrus-sasl.*

#------------------------------------------------------------------------------

%package -n qca2-plugin-logger-%{_lib}
Summary: logger plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}

%description -n qca2-plugin-logger-%{_lib}
This is a plugin to provide logger capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n qca2-plugin-logger-%{_lib}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-logger.*

#------------------------------------------------------------------------------

%prep
%setup -q -c -n qca-plugins 
%setup -q -n qca-plugins -T -D -a 0
%setup -q -n qca-plugins -T -D -a 1
%setup -q -n qca-plugins -T -D -a 2
%setup -q -n qca-plugins -T -D -a 3
%setup -q -n qca-plugins -T -D -a 4
#%patch0 -p0

%build
source %_sysconfdir/profile.d/qt4.sh
qt4env

for plugin in qca-gnupg qca-pkcs11 qca-cyrus-sasl qca-logger qca-ossl; do
  pushd ${plugin}-%{src_ver}
    # Call qt4env
    qmake 
    make
  popd
done

%install
rm -rf %{buildroot}
for plugin in qca-gnupg qca-pkcs11 qca-cyrus-sasl qca-logger qca-ossl; do
  pushd ${plugin}-%{src_ver}
   %__mkdir -p  %buildroot%{qt4plugins}/crypto/
   install -m 755 lib/* %buildroot%{qt4plugins}/crypto/
  popd
done

%clean
rm -rf %buildroot




%changelog
* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 103672
- Qca2 2.0.0 (needed for kopete from kde4 )

* Fri Aug 10 2007 Helio Chissini de Castro <helio@mandriva.com> 2.0-0.beta7.1mdv2008.0
+ Revision: 61667
- Finally an compilable version of qca2 plugins. Last version was not compiling due a detected bug in Qt 4 moc preprocessor.


* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 17:05:54 (27025)
- Raise version

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 17:04:00 (27024)
- Wrong requires for version of lib64qca2

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 16:52:00 (27023)
- New plugins package. Thanks to Cliff Dugal and David Walluck
- Plugin names ar modified to match current ones on qt4 package

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 16:21:49 (27020)
- Created package qca2-plugins

* Thu May 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-04 16:44:06 (26885)
- qt4 is not nice with parallel building :-(

* Thu May 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-04 16:33:55 (26884)
- New layout for package. Thanks to Cliff Dugal for his work.

* Fri Apr 07 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-04-07 16:39:39 (26381)
- New upstream release beta2
- New package thanks to Cliff Dugal. Post adjusts will be needed

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 01:04:48 (1870)
- Fix pkgconfig install dir

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 00:42:15 (1869)
- Fix typo

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 00:12:04 (1867)
- Be assure that lib is installed in proper arch dir

* Sun Mar 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-05 23:50:17 (1866)
- First package for qca2 ready. A good solution to sit in Qt space for this
  specific qca sets comes to avoid problems between old and new qca packages

* Sat Mar 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-04 16:06:13 (1860)
- Copy old qca package to create new qca2 package
  A    svn+ssh://helio@svn.mandriva.com/svn/mdv/cooker/qca2

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:27:18 (1288)
- Proper patch for libdir

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:20:41 (1287)
- Patch for lib64 should be applied just for 64

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:16:49 (1286)
- Initial svn import
- Relocate plugins for correct arch path, lib64 or lib.
- Cleaned spec removing old perl changes for lib64. Now just one patch is needed

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 18:16:27 (1282)
- Create current for qca package

